# -*- coding: utf-8 -*-
import setuptools

"""
打包成一个 可执行模块
"""
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    # 关于项目的介绍 - 随便写都可以
    name="APIRunner",
    version="0.0.1",
    author="zzh",
    author_email="zzh",
    description="API 自动化测试工具",
    license="GPLv3",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="",
    project_urls={
        "Bug Tracker": "",
        "Contact Us": "",
    },

    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License (GPL)",
        "Operating System :: OS Independent",
    ],
    # 需要安装的依赖 -- 工具依赖
    install_requires=[
        "allure-pytest==2.13.5",
        "Jinja2",
        "jsonpath",
        "pluggy",
        "pycparser",
        "PyMySQL",
        "PySocks",
        "pytest",
        "PyYAML",
        "pyyaml-include==1.3.1",
        "requests",
        "exceptiongroup",
        "jsonpath==0.82.2",
        "allure-pytest==2.13.5"
    ],
    packages=setuptools.find_packages(),
    package_data={'': ['*.*']},  # 默认只会加载py文件，设置加载所有的文件。
    python_requires=">=3.6",
    # 生成一个 可执行文件 例如 windows下面 .exe
    entry_points={
        'console_scripts': [
            # 可执行文件的名称=执行的具体代码方法
            'apirun=apirun.cli:run'
        ]
    },
    zip_safe=False
)
